Summary: The Mail Transport Agent Switcher for Red Hat Linux
Name: redhat-switchmail
Version: 0.5.1
Release: 1
Source0: %{name}-%{version}.tar.gz
License: GPL
Group: Applications/System
BuildRoot: %{_tmppath}/%{name}-root
BuildArch: noarch
Requires: newt, /usr/sbin/alternatives

%description
redhat-switchmail is the Mail Transport Agent Switcher for Red Hat Linux.
It enables users to easily switch between various Mail Transport Agent
that they have installed.

%package gnome
Summary: A GUI interface for Mail Transport Agent Switcher.
Group: Applications/System
Requires: %{name} = %{version}-%{release}
Requires: pygnome >= 1.4.0 , pygtk >= 0.6.6
Requires: pygtk-libglade >= 0.6.6, /usr/sbin/alternatives

%description gnome
The redhat-switchmail-gnome package contains a GNOME interface for the
Mail Transport Agent Switcher.

%prep
%setup -q

%install
rm -rf %{buildroot}
%makeinstall

%find_lang %{name}

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/*
%{_sbindir}/*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/functions.py*
%{_datadir}/%{name}/switchmail_tui.py*
%config(noreplace) %{_sysconfdir}/pam.d/*
%config(noreplace) %{_sysconfdir}/security/console.apps/*

%files gnome
%defattr(-,root,root)
%config(noreplace) /etc/X11/sysconfig/*.desktop
%config(noreplace) /etc/X11/applnk/System/*.desktop
%{_datadir}/pixmaps/*
%{_datadir}/%{name}/switchmail_gui.py*
%{_datadir}/%{name}/pixmaps
%{_datadir}/%{name}/switchmail.glade

%changelog
* Wed Apr 10 2002 Than Ngo <than@redhat.com> 0.5.1-1
- release 0.5.1
- update translations

* Mon Apr  8 2002 Than Ngo <than@redhat.com> 0.5.0-1
- release 0.5.0

* Sun Mar 31 2002 Than Ngo <than@redhat.com> 0.4.0-1
- release 0.4.0

* Sat Mar 02 2002 Than Ngo <than@redhat.com> 0.3.0-1
- update to 0.3.0 (bug #60590, #60591)

* Tue Feb 26 2002 Than Ngo <than@redhat.com> 0.2.0-1
- update to 0.2.0

* Thu Jan 31 2002 Bill Nottingham <notting@redhat.com> 0.1.1-1
- %%defattr in -gnome package

* Mon Jan 28 2002 Than Ngo <than@redhat.com> 0.1.0-1
- initial packaging
